SPI_rollback
Prev | Up | 47.4. Transaction Management | Home | Next

## SPI_rollback

SPI_rollback — abort the current transaction

## Synopsis

    void SPI_rollback(void)

## Description

`SPI_rollback` rolls back the current transaction. It is approximately equivalent to running the SQL command `ROLLBACK`. After a transaction is rolled back, a new transaction has to be started using `SPI_start_transaction` before further database actions can be executed.

This function can only be executed if the SPI connection has been set as nonatomic in the call to `SPI_connect_ext`.

Prev | Up | Next
SPI_commit | Home | SPI_start_transaction